aboutsummaryrefslogtreecommitdiffstats
path: root/testing/setroot
diff options
context:
space:
mode:
authoronodera@openmailbox.org <onodera@openmailbox.org>2016-04-15 17:34:43 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-18 16:03:39 +0000
commit879178f4da4d7eb85c84d82194f7d8a0b408842b (patch)
tree4f10a8002ce8281e89b4f4a9b060476c54109806 /testing/setroot
parent12c4b8376889a03bd650acd208f80bca38136e01 (diff)
downloadaports-879178f4da4d7eb85c84d82194f7d8a0b408842b.tar.gz
aports-879178f4da4d7eb85c84d82194f7d8a0b408842b.tar.bz2
aports-879178f4da4d7eb85c84d82194f7d8a0b408842b.tar.xz
testing/setroot: new aport
https://github.com/ttzhou/setroot simple X background setter inspired by imlibsetroot and feh
Diffstat (limited to 'testing/setroot')
-rw-r--r--testing/setroot/APKBUILD30
1 files changed, 30 insertions, 0 deletions
diff --git a/testing/setroot/APKBUILD b/testing/setroot/APKBUILD
new file mode 100644
index 0000000000..2cf1a70c51
--- /dev/null
+++ b/testing/setroot/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <onodera@openmailbox.org>
+# Maintainer: Camille Scholtz <onodera@openmailbox.org>
+pkgname=setroot
+pkgver=2.0
+pkgrel=0
+pkgdesc="Simple X background setter inspired by imlibsetroot and feh"
+url="https://github.com/ttzhou/setroot"
+arch="all"
+license="GPL3"
+depends=""
+depends_dev="imlib2-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/ttzhou/$pkgname/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$builddir"
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="99f58d6fe8026c05e6eb63be04d45a54 setroot-2.0.tar.gz"
+sha256sums="c4ccdacb44a7b15d3c592d4b94a64543c98acf3264abf279e0c4970189806fa9 setroot-2.0.tar.gz"
+sha512sums="0e1d0aa2a002ce348d2c4791e27980f1431ed9543d46dcbc1f8d20b1518d126c5cd9d4642aec5f13c8ab0c7b3e75d55e5f70a5b649264949989965505dfedb71 setroot-2.0.tar.gz"